Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.smardec.asc.outlookpanel
Class JOutlookPanel

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--com.smardec.asc.outlookpanel.JOutlookPanel

All Implemented Interfaces:
  javax.accessibility.Accessible, java.lang.Cloneable, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class JOutlookPanel
extends javax.swing.JPanel
implements java.lang.Cloneable

`JOutlookPanel` provides API to create outlook-style panels. It has various settings and can be easily customized to fit any application's needs.

Field Summary
`static int` | `MODE_ANIMATE` The animate paint mode constraint.
`static int` | `MODE_DEFAULT` The default paint mode constraint.

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JOutlookPanel()` Constructs a `JOutlookPanel`.

Method Summary
`void` | `addTab(int index, JOutlookTab outlookTab)` Inserts the specified tab at the specified position in this `JOutlookPanel`.
`void` | `addTab(JOutlookTab outlookTab)` Appends the specified tab to the end of this `JOutlookPanel`.
`int` | `getDefaultPaintMode()` Returns the current default paint mode of this `JOutlookPanel`
`int` | `getDelay()` Returns the sleep time between steps during animation in this `JOutlookPanel`.
`OutlookButtonRenderer` | `getOutlookButtonRenderer()` Returns the renderer used to display the tab's buttons in this `JOutlookPanel`.
`OutlookScrollButtonRenderer` | `getOutlookScrollButtonDownRenderer()` Returns the renderer used to display the tab's scroll down button in this `JOutlookPanel`.
`OutlookScrollButtonRenderer` | `getOutlookScrollButtonUpRenderer()` Returns the renderer used to display the tab's scroll up button in this `JOutlookPanel`.
`OutlookTabBodyRenderer` | `getOutlookTabBodyRenderer()` Returns the renderer used to display the tab's body panels in this `JOutlookPanel`.
`java.awt.Font` | `getOutlookTabButtonFont()` Returns the font of tab's buttons in this `JOutlookPanel`.
`java.awt.Font` | `getOutlookTabHeaderFont()` Returns the font of tab's headers in this `JOutlookPanel`.
`OutlookTabHeaderRenderer` | `getOutlookTabHeaderRenderer()` Returns the renderer used to display the tab's headers in this `JOutlookPanel`.
`int` | `getSelectedTabIndex()` Returns the selected tab index of this `JOutlookPanel`.
`int` | `getStep()` Returns step size during animation in this `JOutlookPanel`.
`JOutlookTab` | `getTab(int index)` Returns the tab at the specified position in this `JOutlookPanel`.
`int` | `getTabCount()` Returns the number of tabs in this `JOutlookPanel`.
`int` | `getTabHeight()` Returns the height of the tabs in this `JOutlookPanel`.
`int` | `getTabIndex(JOutlookTab jOutlookTab)` Returns the index of the specified tab, or -1 if this `JOutlookPanel` does not contain this tab.
`int` | `getTabSpacing()` Returns the space between tabs in this `JOutlookPanel`.
`int` | `getTabWidth()` Returns the width of the tabs in this `JOutlookPanel`.
`JOutlookTab` | `removeTab(int index)` Removes the tab at the specified position in this `JOutlookPanel`.
`void` | `setDefaultPaintMode(int paintMode)` Specifies the default paint mode of this `JOutlookPanel`.
`void` | `setDelay(int delay)` Specifies the sleep time between steps during animation in this `JOutlookPanel`.
`void` | `setOutlookButtonRenderer(OutlookButtonRenderer outlookButtonRenderer)` Specifies the renderer used to display the tab's buttons in this `JOutlookPanel`.
`void` | `setOutlookScrollButtonDownRenderer(OutlookScrollButtonRenderer outlookScrollButtonDownRenderer)` Specifies the renderer used to display the tab's scroll down button in this `JOutlookPanel`.
`void` | `setOutlookScrollButtonUpRenderer(OutlookScrollButtonRenderer outlookScrollButtonUpRenderer)` Specifies the renderer used to display the tab's scroll up button in this `JOutlookPanel`.
`void` | `setOutlookTabBodyRenderer(OutlookTabBodyRenderer outlookTabBodyRenderer)` Specifies the renderer used to display the tab's body panels in this `JOutlookPanel`.
`void` | `setOutlookTabButtonFont(java.awt.Font tabButtonFont)` Specifies the font of tab's buttons in this `JOutlookPanel`.
`void` | `setOutlookTabHeaderFont(java.awt.Font outlookTabHeaderFont)` Specifies the font of tab's headers in this `JOutlookPanel`.
`void` | `setOutlookTabHeaderRenderer(OutlookTabHeaderRenderer tabHeaderRenderer)` Specifies the renderer used to display the tab's headers in this `JOutlookPanel`.
`void` | `setSelectedTabIndex(int index)` Selects this `JOutlookPanel`'s tab with specified index using default paint mode.
`void` | `setSelectedTabIndex(int index, int paintMode)` Selects this `JOutlookPanel`'s tab with specified index using `paintMode`.
`void` | `setStep(int step)` Specifies step size during animation in this `JOutlookPanel`.
`void` | `setTabHeight(int tabHeight)` Specifies the height of the tabs in this `JOutlookPanel`.
`void` | `setTabSpacing(int tabSpacing)` Specifies the space between tabs in this `JOutlookPanel`.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MODE_DEFAULT

    public static final int MODE_DEFAULT

  The default paint mode constraint.

  See Also:
    `setSelectedTabIndex(int)`, `setSelectedTabIndex(int, int)`, Constant Field Values

### MODE_ANIMATE

    public static final int MODE_ANIMATE

  The animate paint mode constraint.

  See Also:
    `setSelectedTabIndex(int)`, `setSelectedTabIndex(int, int)`, Constant Field Values

Constructor Detail

### JOutlookPanel

    public JOutlookPanel()

  Constructs a `JOutlookPanel`.

Method Detail

### getTabCount

    public int getTabCount()

  Returns the number of tabs in this `JOutlookPanel`.

  Returns:
    the number of tabs in this `JOutlookPanel`.

### getTab

    public JOutlookTab getTab(int index)

  Returns the tab at the specified position in this `JOutlookPanel`.

  Parameters:
    `index` - index of tab to return.
  Returns:
    the tab at the specified position in this `JOutlookPanel`
  Throws:
    `java.lang.IllegalArgumentException` - index is out of range (index < 0 || index >= `getTabCount()`).

### getTabIndex

    public int getTabIndex(JOutlookTab jOutlookTab)

  Returns the index of the specified tab, or -1 if this `JOutlookPanel` does not contain this tab.

  Parameters:
    `jOutlookTab` - an `JOutlookTab`.
  Returns:
    the index of the specified tab in this `JOutlookPanel`.

### getTabSpacing

    public int getTabSpacing()

  Returns the space between tabs in this `JOutlookPanel`.

  Returns:
    the space in pixels between tabs in this `JOutlookPanel`.
  See Also:
    `setTabSpacing(int)`

### setTabSpacing

    public void setTabSpacing(int tabSpacing)

  Specifies the space between tabs in this `JOutlookPanel`.

  Parameters:
    `tabSpacing` - the new space in pixels between tabs in this `JOutlookPanel`.
  See Also:
    `getTabSpacing()`

### getDelay

    public int getDelay()

  Returns the sleep time between steps during animation in this `JOutlookPanel`.

  Returns:
    sleep time in milliseconds.

### setDelay

    public void setDelay(int delay)

  Specifies the sleep time between steps during animation in this `JOutlookPanel`.

  Parameters:
    `delay` - sleep time in milliseconds.

### getStep

    public int getStep()

  Returns step size during animation in this `JOutlookPanel`.

  Returns:
    step size in pixels.

### setStep

    public void setStep(int step)

  Specifies step size during animation in this `JOutlookPanel`.

  Parameters:
    `step` - step size in pixels.

### getTabHeight

    public int getTabHeight()

  Returns the height of the tabs in this `JOutlookPanel`.

  Returns:
    the height in pixels of the tabs in this `JOutlookPanel`
  See Also:
    `setTabHeight(int)`

### setTabHeight

    public void setTabHeight(int tabHeight)

  Specifies the height of the tabs in this `JOutlookPanel`.

  Parameters:
    `tabHeight` - the new height in pixels of the tabs in this `JOutlookPanel`.
  See Also:
    `getTabHeight()`

### getTabWidth

    public int getTabWidth()

  Returns the width of the tabs in this `JOutlookPanel`. The width equals `jOutlookPanel.getWidth() - (jOutlookPanel.getInsets().left - jOutlookPanel.getInsets().right)`

  Returns:
    the width in pixels of the tabs in this `JOutlookPanel`

### getOutlookTabHeaderRenderer

    public OutlookTabHeaderRenderer getOutlookTabHeaderRenderer()

  Returns the renderer used to display the tab's headers in this `JOutlookPanel`.

  Returns:
    the `OutlookTabHeaderRenderer` that displays the tab's headers
  See Also:
    `setOutlookTabHeaderRenderer(com.smardec.asc.outlookpanel.OutlookTabHeaderRenderer)`

### setOutlookTabHeaderRenderer

    public void setOutlookTabHeaderRenderer(OutlookTabHeaderRenderer tabHeaderRenderer)

  Specifies the renderer used to display the tab's headers in this `JOutlookPanel`.

  Parameters:
    `tabHeaderRenderer` - a `OutlookTabHeaderRenderer` that displays the tab's headers
  See Also:
    `getOutlookTabHeaderRenderer()`

### getOutlookTabBodyRenderer

    public OutlookTabBodyRenderer getOutlookTabBodyRenderer()

  Returns the renderer used to display the tab's body panels in this `JOutlookPanel`.

  Returns:
    the `OutlookTabBodyRenderer` that displays the tab's body panels.
  See Also:
    `setOutlookTabBodyRenderer(com.smardec.asc.outlookpanel.OutlookTabBodyRenderer)`

### setOutlookTabBodyRenderer

    public void setOutlookTabBodyRenderer(OutlookTabBodyRenderer outlookTabBodyRenderer)

  Specifies the renderer used to display the tab's body panels in this `JOutlookPanel`.

  Parameters:
    `outlookTabBodyRenderer` - a `OutlookTabBodyRenderer` that displays the tab's body panels
  See Also:
    `getOutlookTabBodyRenderer()`

### getOutlookButtonRenderer

    public OutlookButtonRenderer getOutlookButtonRenderer()

  Returns the renderer used to display the tab's buttons in this `JOutlookPanel`.

  Returns:
    the `OutlookButtonRenderer` that displays the tab's buttons
  See Also:
    `setOutlookButtonRenderer(com.smardec.asc.outlookpanel.OutlookButtonRenderer)`

### setOutlookButtonRenderer

    public void setOutlookButtonRenderer(OutlookButtonRenderer outlookButtonRenderer)

  Specifies the renderer used to display the tab's buttons in this `JOutlookPanel`.

  Parameters:
    `outlookButtonRenderer` - a `OutlookButtonRenderer` that displays the tab's buttons
  See Also:
    `getOutlookButtonRenderer()`

### getOutlookScrollButtonUpRenderer

    public OutlookScrollButtonRenderer getOutlookScrollButtonUpRenderer()

  Returns the renderer used to display the tab's scroll up button in this `JOutlookPanel`.

  Returns:
    the `OutlookScrollButtonRenderer` that displays the tab's scroll up button
  See Also:
    `setOutlookScrollButtonUpRenderer(com.smardec.asc.outlookpanel.OutlookScrollButtonRenderer)`

### setOutlookScrollButtonUpRenderer

    public void setOutlookScrollButtonUpRenderer(OutlookScrollButtonRenderer outlookScrollButtonUpRenderer)

  Specifies the renderer used to display the tab's scroll up button in this `JOutlookPanel`.

  Parameters:
    `outlookScrollButtonUpRenderer` - a `OutlookScrollButtonRenderer` that displays the tab's scroll up button
  See Also:
    `getOutlookScrollButtonUpRenderer()`

### getOutlookScrollButtonDownRenderer

    public OutlookScrollButtonRenderer getOutlookScrollButtonDownRenderer()

  Returns the renderer used to display the tab's scroll down button in this `JOutlookPanel`.

  Returns:
    the `OutlookScrollButtonRenderer` that displays the tab's scroll down button
  See Also:
    `setOutlookScrollButtonDownRenderer(com.smardec.asc.outlookpanel.OutlookScrollButtonRenderer)`

### setOutlookScrollButtonDownRenderer

    public void setOutlookScrollButtonDownRenderer(OutlookScrollButtonRenderer outlookScrollButtonDownRenderer)

  Specifies the renderer used to display the tab's scroll down button in this `JOutlookPanel`.

  Parameters:
    `outlookScrollButtonDownRenderer` - a `OutlookScrollButtonRenderer` that displays the tab's scroll down button
  See Also:
    `getOutlookScrollButtonDownRenderer()`

### getOutlookTabHeaderFont

    public java.awt.Font getOutlookTabHeaderFont()

  Returns the font of tab's headers in this `JOutlookPanel`.

  Returns:
    the font of tab's headers in this `JOutlookPanel`
  See Also:
    `setOutlookTabHeaderFont(java.awt.Font)`

### setOutlookTabHeaderFont

    public void setOutlookTabHeaderFont(java.awt.Font outlookTabHeaderFont)

  Specifies the font of tab's headers in this `JOutlookPanel`.

  Parameters:
    `outlookTabHeaderFont` - a font of tab's headers in this `JOutlookPanel`
  See Also:
    `getOutlookTabHeaderFont()`

### getOutlookTabButtonFont

    public java.awt.Font getOutlookTabButtonFont()

  Returns the font of tab's buttons in this `JOutlookPanel`.

  Returns:
    the font of tab's buttons in this `JOutlookPanel`
  See Also:
    `setOutlookTabButtonFont(java.awt.Font)`

### setOutlookTabButtonFont

    public void setOutlookTabButtonFont(java.awt.Font tabButtonFont)

  Specifies the font of tab's buttons in this `JOutlookPanel`.

  Parameters:
    `tabButtonFont` - a font of tab's buttons in this `JOutlookPanel`
  See Also:
    `getOutlookTabButtonFont()`

### addTab

    public void addTab(int index,
                       JOutlookTab outlookTab)

  Inserts the specified tab at the specified position in this `JOutlookPanel`. Shifts the tab currently at that position (if any) and any subsequent tabs to the bottom (adds one to their indices).

  Parameters:
    `index` - index at which the specified tab is to be inserted
    `outlookTab` - a tab to be inserted
  See Also:
    `removeTab(int)`

### addTab

    public void addTab(JOutlookTab outlookTab)

  Appends the specified tab to the end of this `JOutlookPanel`.

  Parameters:
    `outlookTab` - tab to be appended to this `JOutlookPanel`
  See Also:
    `removeTab(int)`

### removeTab

    public JOutlookTab removeTab(int index)

  Removes the tab at the specified position in this `JOutlookPanel`. Shifts any subsequent tabs to the top (subtracts one from their indices). Returns the tab that was removed from the `JOutlookPanel`.

  Parameters:
    `index` - the index of the tab to be removed
  Returns:
    the tab that was removed
  See Also:
    `addTab(int, com.smardec.asc.outlookpanel.JOutlookTab)`, `addTab(com.smardec.asc.outlookpanel.JOutlookTab)`

### getDefaultPaintMode

    public int getDefaultPaintMode()

  Returns the current default paint mode of this `JOutlookPanel`

  Returns:
    the current default paint mode of this `JOutlookPanel`
  See Also:
    `setDefaultPaintMode(int)`

### setDefaultPaintMode

    public void setDefaultPaintMode(int paintMode)

  Specifies the default paint mode of this `JOutlookPanel`. You must specify one of the following choices: `MODE_DEFAULT` or `MODE_ANIMATE`.

  Parameters:
    `paintMode` - the default paint mode of this `JOutlookPanel`

### getSelectedTabIndex

    public int getSelectedTabIndex()

  Returns the selected tab index of this `JOutlookPanel`.

  Returns:
    the selected tab index of this `JOutlookPanel`.

### setSelectedTabIndex

    public void setSelectedTabIndex(int index)

  Selects this `JOutlookPanel`'s tab with specified index using default paint mode.

  Parameters:
    `index` - the tab index to be selected

### setSelectedTabIndex

    public void setSelectedTabIndex(int index,
                                    int paintMode)

  Selects this `JOutlookPanel`'s tab with specified index using `paintMode`. You must specify one of the following choices: `MODE_DEFAULT` or `MODE_ANIMATE`.

  Parameters:
    `index` - index the tab index to be selected
    `paintMode` - indicates how `JOutlookPanel`'s tab will be selected

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 Smardec. All Rights Reserved.